/* ======================================
   VARIÁVEIS DO TEMA
====================================== */

:root{
    --bs-primary: #153663;
    --bs-primary-rgb: 0,87,184;

    --bs-secondary: #ebd862;
    --bs-secondary-rgb: 212,175,55;

    --bs-tertiary: #675a25;
    --bs-tertiary-rgb: 103,90,37;

    --bs-quaternary: #eae4cd;
    --bs-quaternary-rgb: 103,90,37;

}

/* ======================================
   BOTÕES
====================================== */

.btn-primary{
    --bs-btn-bg: var(--bs-primary);
    --bs-btn-border-color: var(--bs-primary);

    --bs-btn-hover-bg: color-mix(in srgb, var(--bs-primary) 90%, black);
    --bs-btn-hover-border-color: color-mix(in srgb, var(--bs-primary) 90%, black);

    --bs-btn-active-bg: color-mix(in srgb, var(--bs-primary) 80%, black);
    --bs-btn-active-border-color: color-mix(in srgb, var(--bs-primary) 80%, black);
}

.btn-outline-primary{
    --bs-btn-color: var(--bs-primary);
    --bs-btn-border-color: var(--bs-primary);

    --bs-btn-hover-bg: var(--bs-primary);
    --bs-btn-hover-border-color: var(--bs-primary);

    --bs-btn-active-bg: var(--bs-primary);
    --bs-btn-active-border-color: var(--bs-primary);
}

.btn-secondary{
    --bs-btn-bg: var(--bs-secondary);
    --bs-btn-color: var(--bs-primary);
    --bs-btn-border-color: var(--bs-secondary);

    --bs-btn-hover-bg: color-mix(in srgb, var(--bs-secondary) 90%, black);
    --bs-btn-hover-color: var(--bs-primary);
    --bs-btn-hover-border-color: color-mix(in srgb, var(--bs-secondary) 90%, black);

    --bs-btn-active-bg: color-mix(in srgb, var(--bs-secondary) 80%, black);
    --bs-btn-active-border-color: color-mix(in srgb, var(--bs-secondary) 80%, black);
    fill: currentColor;
}

.btn-outline-secondary{
    --bs-btn-color: var(--bs-secondary);
    --bs-btn-border-color: var(--bs-secondary);

    --bs-btn-hover-bg: var(--bs-secondary);
    --bs-btn-hover-color: var(--bs-primary);
    --bs-btn-hover-border-color: var(--bs-secondary);

    --bs-btn-active-bg: var(--bs-secondary);
    --bs-btn-active-border-color: var(--bs-secondary);
    fill: currentColor;
}

.btn-outline-light {fill: currentColor;}

.btn-tertiary{
    --bs-btn-color:#fff;
    --bs-btn-bg:var(--bs-tertiary);
    --bs-btn-border-color:var(--bs-tertiary);

    --bs-btn-hover-bg:color-mix(in srgb,var(--bs-tertiary) 90%,black);
    --bs-btn-hover-border-color:color-mix(in srgb,var(--bs-tertiary) 90%,black);
    fill: currentColor;
}

/* ======================================
   LINKS
====================================== */

a{
    color:var(--bs-primary);
}

a:hover{
    color:color-mix(in srgb,var(--bs-primary) 80%,black);
}

/* ======================================
   ALERTAS
====================================== */

.alert-primary{
    --bs-alert-bg: color-mix(in srgb,var(--bs-primary) 10%,white);
    --bs-alert-border-color: color-mix(in srgb,var(--bs-primary) 30%,white);
    --bs-alert-color: var(--bs-primary);
}

.alert-secondary{
    --bs-alert-bg: color-mix(in srgb,var(--bs-secondary) 12%,white);
    --bs-alert-border-color: color-mix(in srgb,var(--bs-secondary) 35%,white);
    --bs-alert-color: #5a4800;
}

/* ======================================
   BADGES
====================================== */

.badge.bg-primary{
    background:var(--bs-primary)!important;
}

.badge.bg-secondary{
    background:var(--bs-secondary)!important;
}

/* ======================================
   LIST GROUP
====================================== */

.list-group-item.active{
    background:var(--bs-primary);
    border-color:var(--bs-primary);
}

/* ======================================
   PAGINATION
====================================== */

.page-link{
    color:var(--bs-primary);
}

.page-item.active .page-link{
    background:var(--bs-primary);
    border-color:var(--bs-primary);
}

/* ======================================
   FORMULÁRIOS
====================================== */

.form-check-input:checked{
    background-color:var(--bs-primary);
    border-color:var(--bs-primary);
}

.form-check-input:focus,
.form-control:focus,
.form-select:focus{
    border-color:var(--bs-primary);
    box-shadow:0 0 0 .25rem rgba(var(--bs-primary-rgb),.25);
}

/* ======================================
   ACCORDION
====================================== */

.accordion-item {
    margin-bottom: 16px;
    border-radius: 12px !important;
    overflow: hidden;
    background-color: color-mix(in srgb, var(--bs-quaternary) 50%, white 50%);
    box-shadow: none;
}

.accordion-button {
    font-weight: 600;
    color: var(--bs-tertiary);
    background-color: white;
}

.accordion-button:not(.collapsed) {
    color: var(--bs-tertiary);
    background-color: white;
    box-shadow: none;
}

.accordion-body {

    line-height: 1.6;
}

/* ======================================
   NAVBAR
====================================== */

.navbar{
    --bs-navbar-active-color: var(--bs-primary);
    --bs-navbar-hover-color: var(--bs-primary);
}

/* ======================================
   DROPDOWN
====================================== */

.dropdown-item:active{
    background:var(--bs-primary);
}

/* ======================================
   PROGRESS
====================================== */

.progress-bar{
    background:var(--bs-primary);
}

/* ======================================
   SPINNER
====================================== */

.spinner-border{
    color:var(--bs-primary);
}

.spinner-grow{
    color:var(--bs-primary);
}

/* ======================================
   TABELAS
====================================== */

.table-primary{
    --bs-table-bg: color-mix(in srgb,var(--bs-primary) 10%,white);
}

/* ======================================
   UTILITÁRIOS
====================================== */

.bg-primary{
    background-color:var(--bs-primary)!important;
}

.text-primary{
    color:var(--bs-primary)!important;
}

.border-primary{
    border-color:var(--bs-primary)!important;
}

.bg-secondary{
    background-color:var(--bs-secondary)!important;
}

.text-secondary{
    color:var(--bs-secondary)!important;
}

.border-secondary{
    border-color:var(--bs-secondary)!important;
}

.text-tertiary{
    color: var(--bs-tertiary)!important;
}

.bg-tertiary{
    background: var(--bs-tertiary)!important;
}

.border-tertiary{
    border-color: var(--bs-tertiary)!important;
}

.text-quaternary{
    color: var(--bs-quaternary)!important;
}

.bg-quaternary{
    background: var(--bs-quaternary)!important;
}

.border-quaternary{
    border-color: var(--bs-quaternary)!important;
}

.fw-500 {font-weight: 500;}

body {font-family: "Poppins", sans-serif;}

@media (min-width: 1200px) {
    .nav-link {color: #fff; font-size: 0.9rem;} 
    .nav-link:hover {color: var(--bs-secondary);}
    .navbar-nav .nav-link.active, .navbar-nav .nav-link.show {
        color:  var(--bs-secondary);
    }
}

.circle-35x35 {width: 35px; height: 35px; background: #fff; color: var(--bs-primary); display: flex; align-items: center; justify-content: center; font-weight: bold; border-radius: 50%;}

@media (max-width: 768px) {
    .container, .container-fluid, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
    --bs-gutter-x: 3rem;}
}

/* animacoes */
.zoom-container {overflow: hidden; position: relative;}
.zoom-image {object-fit: cover; width: 100%; height: 100%; transition: transform 0.4s ease;}
.zoom-container:hover .zoom-image {transform: scale(1.1);}

.zoom-button,
.zoom-shadow-button {cursor: pointer;transition: transform 0.2s ease;}
.zoom-button:hover {transform: scale(1.1);}
.zoom-shadow-button:hover {transform: scale(1.1);box-shadow: 0 8px 16px rgba(0,0,0,0.2);}